Single year summary
Running
Single year summary
Returns running summary for a specific year.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.rewind.rest/v1/running/stats/years/{year} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/running/stats/years/{year}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/running/stats/years/{year}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"year": 2025,
"total_runs": 120,
"total_distance_mi": 540.2,
"total_elevation_ft": 18500,
"total_duration_s": 257400,
"avg_pace": "7:55/mi",
"longest_run_mi": 13.1,
"race_count": 3
}
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}Returns running summary for a specific year.
curl --request GET \
--url https://api.rewind.rest/v1/running/stats/years/{year} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/running/stats/years/{year}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/running/stats/years/{year}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"year": 2025,
"total_runs": 120,
"total_distance_mi": 540.2,
"total_elevation_ft": 18500,
"total_duration_s": 257400,
"avg_pace": "7:55/mi",
"longest_run_mi": 13.1,
"race_count": 3
}
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}{
"error": "Not found",
"status": 404
}